Topic: Unable to force HTML4

I'm unable to force various runtime versions of plupload. My setup included this:

    $("#uploader").pluploadQueue({
      runtimes : 'html5,gears,flash,silverlight,browserplus,html4',

But I tried changing it to this:

    $("#uploader").pluploadQueue({
      runtimes : 'flash',

And I do not get the flash runtime. Likewise for HTML4. What am I doing wrong?

I'm trying to force the HTML4 runtime because I'd like to do automated testing of my upload flow with Selenium using plupload 1.5.4 and I believe this is the only way.

Thanks,
Keith

Re: Unable to force HTML4

The way you do it is correct. So problem might be elsewhere. Are you getting any errors? For Flash it might wrong url to swf or disabled flash add-on in browser. html4 should work in any case though.

If you want to see your issue fixed, do not report it here, do it on - GitHub.

3 (edited by sashasuman 2016-01-25 13:25:16)

Re: Unable to force HTML4

I've recently been asked to expand the uploader to support multiple files. Plupload supports this directly, but I also need to manage the form fields associated with each file. My solution was to use two queues. The user would enter their form fields and select their file in the first queue. They would then click an "Add To Upload Queue" button, which would copy the uploader data into the second queue, and copy the form fields into a JS object array. The client side form field validation would also be performed at this point.



_______________

Prep4sure.info Microsoft 70-410 Cisco 300-075 Dumps CV0-001 Pass4sure 102-400 Study Guide 1z0-050 Courses 70-494